import request from '@/utils/request'

// 获取当前小区的所有公告
export function listAnnouncement(data) {
  return request({
    url: '/tpAnnouncement',
    method: 'post',
    data: {
      announcementNumber: data.announcementNumber,
      announcementTitle: data.announcementTitle,
      pageNum: data.pageNum,
      pageSize: data.pageSize
    }
  })
}
// 添加公告
export function addAnnouncement(data) {
  return request({
    url: '/addAnnouncement',
    method: 'post',
    data: {
      announcementTitle: data.announcementTitle,
      announcementCarouselImg: data.announcementCarouselImg,
      contentImg: data.contentImg,
      announcementContent: data.announcementContent,
      sort: data.sort
    }
  })
}
