import { listAnnouncement, addAnnouncement } from '@/api/announcement'

const announcement = {
  actions: {
    /**
     *获取当前小区的所有公告
     */
    ListAnnouncement({ commit }, data) {
      return new Promise((resolve, reject) => {
        listAnnouncement(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    AddAnnouncement({ commit }, data) {
      return new Promise((resolve, reject) => {
        addAnnouncement(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default announcement
