package com.community.huiju.dao;

import com.community.huiju.model.TpBuildingOwnerInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface TpBuildingOwnerInfoMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpBuildingOwnerInfo record);

    int insertSelective(TpBuildingOwnerInfo record);

    TpBuildingOwnerInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpBuildingOwnerInfo record);

    int updateByPrimaryKey(TpBuildingOwnerInfo record);

    @ResultMap("BaseResultMap")
    @Select("select * from tp_building_owner_info where community_id=#{communityId} and owner_tel=#{ownerTel}")
    List<TpBuildingOwnerInfo> getByCommunityIdAndOwnerTel(@Param("communityId") Integer communityId, @Param("ownerTel") String ownerTel);
}