package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.community.huiju.model.TpSysRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物业web端角色表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2018-12-19
 */
@Mapper
public interface TpSysRoleMapper extends BaseMapper<TpSysRole> {

    /**
     * 多表查询 查询出这个用户所有的角色权限
     * @param map
     * @return
     */
    List<TpSysRole> selectByUserIdAndRoleId(Map<String, Object> map);

}
