package com.community.huiju.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.User;

/**
 * <p>
 * 物业web端用户表 服务类
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
public interface IUserService extends IService<User> {
    /**
     * 登陆
     * @param phone
     * @param communityId
     * @param code
     * @return
     */
    ResponseBean login(String phone, Integer communityId, String code);

    /**
     * 根据 手机号 验证码 获取 该用户的所管理的小区
     * @param phone
     * @param code
     * @return
     */
    ResponseBean userCommunity(String phone, String code);

    /**
     * 查询用户信息
     * @param userElement 用户登陆后的信息体
     * @return
     */
    ResponseBean userInfo(UserElement userElement);

}
